| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Gz
Gz.File

# Method Gz.File()->open()

Method open

  `int open(string|int|Stdio.Stream file, void|string mode)`

Parameter `file`

  Filename or filedescriptor of the gzip file to open, or an already open Stream.

Parameter `mode`

  mode for the file. Defaults to "rb". May be one of the following:

  rb

    read mode

  wb

    write mode

  ab

    append mode

  For the wb and ab mode, additional parameters may be specified. Please se zlib manual for more info.

Returns

  non-zero if successful.